## Selector

### Description

The Selector class implements a container for a set of pages or tab sheets, such as is used in the APLX Preferences dialog. A Selector must have Page objects as its children, on which typically other controls will be placed.

The Selector `style` property governs the appearance of the tab sheets under Windows. It can be either 0 (meaning use tabs to choose the pages), or 1 (use buttons). In addition, you can add one or both of 8 = Allow multiple lines of tabs, 16 = Ragged right. Under MacOS, the `style` property is ignored.

The `value` property sets or retrieves the index of the currently-selected Page, starting at 1. This is the same as the `order` property of the current Page.

The `font` property can be used to change the font which is used to display the names of the tabs. It is also the default font for any children of the tab sheets.

See the Page class for more information and an example.

### Properties

align anchors aquaadjust autodraw caption children class color data doublebuffered dragsource droptarget enabled events extent font handle imagelist maxsize methods minsize name opened order pointer properties scale self size sourceformats style tabrows tabstop targetformats tie units value visible where winptr

### Methods

Click Clienttoscreen Close Create Delete Draw Focus Hide New Open Paint Resize Screentoclient Send Set Show Trigger

### Callbacks

onChange onClick onClose onDblClick onDestroy onDragDrop onDragEnd onDragEnter onDragLeave onDragOver onDragStart onFocus onHide onKeyDown onKeyPress onKeyUp onMouseDown onMouseMove onMouseUp onOpen onSend onShow onUnFocus

Topic: APLX Help : System Classes : List of Classes : Selector

[ Previous | Next | Contents | Index ]